aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetService

# Documentation

data GetService #

Constructors

GetService |

#### Instances

Instances details

SignQuery GetService # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetService

Associated Types

type ServiceConfiguration GetService |
Instance details Defined in Aws.S3.Commands.GetService type ServiceConfiguration GetService = S3Configuration

Methods

signQuery :: GetService -> ServiceConfiguration GetService queryType -> SignatureData -> SignedQuery #

Show GetService # |
Instance details Defined in Aws.S3.Commands.GetService Methods showsPrec :: Int -> GetService -> ShowS # show :: GetService -> String # showList :: [GetService] -> ShowS #
Transaction GetService GetServiceResponse # |
Instance details Defined in Aws.S3.Commands.GetService
type ServiceConfiguration GetService # |
Instance details Defined in Aws.S3.Commands.GetService type ServiceConfiguration GetService = S3Configuration

data GetServiceResponse #

Constructors

GetServiceResponse |

Fields

- gsrOwner :: UserInfo
- gsrBuckets :: [BucketInfo]

#### Instances

Instances details

AsMemoryResponse GetServiceResponse # |

Instance details

Defined in Aws.S3.Commands.GetService

Associated Types

type MemoryResponse GetServiceResponse |
Instance details Defined in Aws.S3.Commands.GetService type MemoryResponse GetServiceResponse = GetServiceResponse

Methods

loadToMemory :: GetServiceResponse -> ResourceT IO (MemoryResponse GetServiceResponse) #

Show GetServiceResponse # |
Instance details Defined in Aws.S3.Commands.GetService Methods showsPrec :: Int -> GetServiceResponse -> ShowS # show :: GetServiceResponse -> String # showList :: [GetServiceResponse] -> ShowS #
ResponseConsumer r GetServiceResponse # |

Instance details

Defined in Aws.S3.Commands.GetService

Associated Types

type ResponseMetadata GetServiceResponse |
Instance details Defined in Aws.S3.Commands.GetService type ResponseMetadata GetServiceResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetServiceResponse) -> HTTPResponseConsumer GetServiceResponse #

Transaction GetService GetServiceResponse # |
Instance details Defined in Aws.S3.Commands.GetService
type MemoryResponse GetServiceResponse # |
Instance details Defined in Aws.S3.Commands.GetService type MemoryResponse GetServiceResponse = GetServiceResponse
type ResponseMetadata GetServiceResponse # |
Instance details Defined in Aws.S3.Commands.GetService type ResponseMetadata GetServiceResponse = S3Metadata